Package csb :: Package bio :: Package hmm :: Class State

[frames] | no frames]

# Class State

source code

    object --+
             |
            State

Describes a Hidden Markov Model state.

Instance Methods

__init__(self, type, emit=None) x.__init__(...) initializes x; see help(type(x)) for signature | source code

__repr__(self) repr(x) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
EmissionTable | background Lookup table with background probabilities
EmissionTable | emission Lookup table with available emission probabilities
| rank
bool | silent Whether this state can emit something
TransitionTable | transitions Lookup table with available transitions to other states
enum item | type State type: one of the States
Inherited from `object`: `__class__`

Method Details

### __init__(self, type, emit=None)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `type` (csb.core.EnumItem) - one of the States enumeration values, e.g. States.Match
  - `emit` (list) - a collection of emittable state names allowed for the state, e.g. the members of SequenceAlphabets.Protein. If not defined, the state will be created as a silent (unobservable).
Raises:
  - `ValueError` - if type is not a member of the States enum
Overrides: object.__init__
  (inherited documentation)

### __repr__(self)
(Representation operator)

source code

repr(x)

Overrides: object.__repr__
  (inherited documentation)

Property Details

### background

Lookup table with background probabilities

Get Method:
  unreachable.background(self) - Lookup table with background probabilities
Type:
  EmissionTable

### emission

Lookup table with available emission probabilities

Get Method:
  unreachable.emission(self) - Lookup table with available emission probabilities
Type:
  EmissionTable

### rank

Get Method:
  unreachable.rank(self)
Set Method:
  unreachable.rank(self, value)

### silent

Whether this state can emit something

Get Method:
  unreachable.silent(self) - Whether this state can emit something
Type:
  bool

### transitions

Lookup table with available transitions to other states

Get Method:
  unreachable.transitions(self) - Lookup table with available transitions to other states
Type:
  TransitionTable

### type

State type: one of the States

Get Method:
  unreachable.type(self) - State type: one of the States
Set Method:
  unreachable.type(self, value)
Type:
  enum item